Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: cobbler

Tunables Interfaces

### Description:

Cobbler installation server.

### Tunables:

cobbler_anon_write

##### Default value

false

##### Description

Determine whether Cobbler can modify public files used for public file transfer services.

cobbler_can_network_connect

##### Default value

false

##### Description

Determine whether Cobbler can connect to the network using TCP.

cobbler_use_cifs

##### Default value

false

##### Description

Determine whether Cobbler can access cifs file systems.

cobbler_use_nfs

##### Default value

false

##### Description

Determine whether Cobbler can access nfs file systems.

Return

### Interfaces:

cobbler_admin( domain , role )

##### Summary

All of the rules required to administrate an cobbler environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

cobbler_dontaudit_rw_log( domain )

##### Summary

Do not audit attempts to read and write cobbler log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

cobbler_manage_lib_files( domain )

##### Summary

Create, read, write, and delete cobbler lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cobbler_read_config( domain )

##### Summary

Read cobbler configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cobbler_read_lib_files( domain )

##### Summary

Read cobbler lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cobbler_search_lib( domain )

##### Summary

Search cobbler lib directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cobblerd_admin( domain , role )

##### Summary

All of the rules required to administrate an cobbler environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

cobblerd_domtrans( domain )

##### Summary

Execute a domain transition to run cobblerd.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

cobblerd_initrc_domtrans( domain )

##### Summary

Execute cobblerd init scripts in the init script domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

Return